To email a contributor remove "DELETE" from the email address.
(The DELETEs are necessary as this list is published online.)

2022/08/02 Jeffrey Fulmer https://www.joedog.org/support/
 * src/browser.c          Corrected deferred
 * src/version.           Version increment 4.1.5
 * utils/Makefile.am      Added manifier to the distro

2022/07/31 Jeffrey Fulmer https://www.joedog.org/support/
 * src/browser.c          Made all threads cancel deferred 
 * src/ftp.c              Catch 421: server accepts but doesn't handle
 * src/timer.c            Added a second to account for spool up
 * src/version.c          Version increment: 4.1.4

2022/04/18 Jeffrey Fulmer https://www.joedog.org/support/
 * src/memory.c           Added xstrncpy, xstrncat
 * src/memory.h           Added xstrncpy, xstrncat
 * src/cookies.c          Implemented new x* functions
 * src/ssl.c              Silenced compiler warning
 * src/main.c             Added xstrncpy to silence warnings
 * src/version.c          Version increment: 4.1.3

2022/04/18 Frank Ledo  via https://github.com/FrankLedo
 * doc/siege.pod          Fixed a typo in the man page

2022/04/08 barryhunter via https://github.com/barryhunter
 * src/parser.c           Refined match for META redirect 

2022/03/21 cui fliter https://github.com/cuishuang
 * src/browser.c          Fixed typos
 * src/date.c             Fixed typos
 * src/url.c              Fixed typos
 * utils/siege2csv.in     Fixed typos

2022/03/17 Jeffrey Fulmer https://www.joedog.org/support/
 * src/main.c             Silenced statistics output on -g/--get
 * src/cookies.c          Improved domain matching, added my.get 
 * src/ssl.c              Silenced a compiler warning
 * src/version.c          Version increment: 4.1.2

2021/07/14 Jeffrey Fulmer https://www.joedog.org/support/
 * src/browser.c          Added HTTP response 201 handler
 * src/response.c         Added Content-Location handler
 * src/response.h         Added CONTENT_LOCATION value
 * src/http.c             Added Content-Location parser
 * src/cfg.c              Added an escape handler for $ in URLs
 * src/eval.c             Added function escape(str) to remove '\'
 * src/ssl.c              Put ERR_remove_state inside ssl version
 * src/url.c              Added fix for null path checking
 * src/util.c             Fixed np_phtread_usleep for Solaris
 * src/version.c          Version increment: 4.1.1

2021/07/07 Jeffrey Fulmer https://www.joedog.org/support/
 * src/url.c              Removed leading / from ftp paths

2021/07/07 midchildan https://github.com/midchildan
 * src/browser.c          fixed: "--reps=once" 
 * src/main.c             fixed: "--reps=once" 

2021/07/04 Jeffrey Fulmer http://www.joedog.org/support/
 * src/init.c             Fixed password parsing # can be in pwd
 * src/auth.c             Prettified credentials output for siege -C
 * src/version.c          Version increment: 4.1.0

2021/04/17 Jeffrey Fulmer http://www.joedog.org/support/
 * src/cookie.c           Added NULL checks for getters
 * version.c              Version increment: 4.0.9

2021/04/17 Vedran Miletic https://github.com/vedranmiletic
 * src/main.c             Prettified json

2021/03/17 Jeffrey Fulmer http://www.joedog.org/support/
 * src/hash.c             Added explicit include of sys/types.h
 * src/version.c          Version increment: 4.0.8; Copyright 2021

2021/03/16 Zosecer https://github.com/zosecer
 * src/parser.c           Added handling for null pointer detection

2020/07/11 Jeffrey Fulmer http://www.joedog.org/support/
 * src/cookie.c           Fixed an issue with expires
 * src/cookies.c          Fixed an issue with persistence
 * src/version.c          Version increment: 4.0.7

2020/07/11 Jeffrey Fulmer http://www.joedog.org/support/
 * src/init.c             Minor bug fix
 * src/auth.c             Fixed initialization error
 * src/version.c          Version increment: 4.0.6

2020/07/10 Jeffrey Fulmer http://www.joedog.org/support/
 * src/creds.c            Fixed an initialization problem
 * src/cookies.c          Fixed locking issue
 * src/url.c              Fixed an initialization problem
 * src/init.c             Fixed an initialization problem
 * src/memory.c           Formatting change
 * src/version.c          Version increment: 4.0.5

2020/02/10 Ben Baker-Smith <ben@DELETEbaker-smith.net>
 * src/main.c             Added -j/--json-output 
 * src/init.c             Added -j/--json-output - force quiet mode
 * src/setup.h            Added variable for json output
 * doc/siegerc.in         Added documentation to the config file

2018/02/18 Benjamin Pearson <bpearson@DELETEsquiz.com.au>
 * src/url.c              Adding DELETE and OPTIONS support.
 * src/browser.c          Adding DELETE and OPTIONS support.

2018/02/18 "Mr. Baileys" <ivo@DELETEvangeertruyen.be>
 * src/http.c            Correct capitalization for Content-Type & Content-Length

2018/02/18 root <root@DELETEtester.gc-system.cz>
 * src/response.c        Handle case of incorrect server response header

2018/02/18 Viktor Szepe <viktor@DELETEszepe.net>
 * README.md              Make readme's title nice

2018/02/18 Michael McConville <mmcco@DELETEmykolab.com>
 * src/page.c             Remove needless memset(2)

2018/02/18 James Wang <https://github.com/wjn740>
 * src/cookies.c          Bug fix - prevent segfault when getenv(HOME) is null

2017/09/13 Jeffrey Fulmer http://www.joedog.org/support/
 * src/load.c             Bug fix - allow content-type override at cmd line
 * src/version.c          Version increment: 4.0.4r3

2017/09/13 Florin Papa <https://github.com/florinpapa>
 * src/url.c              Skipped URL escaping for the host and port 
 * src/version.c          Version increment: 4.0.4r2

2017/09/11 Florin Papa <https://github.com/florinpapa>
 * src/sock.c             Added support for IPv6
 * src/url.c              Added support for parsing IPv6 addresses
 * src/version.c          Version increment: 4.0.4r1

2017/09/05 Jeffrey Fulmer http://www.joedog.org/support/
 * src/perl.c             Added integrity checks
 * src/version.c          Version increment: 4.0.3rc6

2017/07/11 Matijs van Zuijlen https://github.com/mvz
 * src/ssl.c              mvz:fix-crash 
 * src/version.c          Version increment: 4.0.3rc5

2016/11/02 Jeffrey Fulmer http://www.joedog.org/support/
 * doc/siegerc.in         Changed the default delay to zero point zero
 * src/cache.c            Implement disable cache option
 * src/browser.c          Reduce dependence on hash lookups
 * src/version.c          Version increment: 4.0.3rc4

2016/11/02 Jeffrey Fulmer http://www.joedog.org/support/
 * src/load.c             Fixed a bug in content-type selection
 * src/util.c             Formatting enhancements
 * src/version.c          Version increment: 4.0.3rc3

Anton Blanchard https://github.com/antonblanchard
 * util/config.guess      Updated to the latest upstream version
 * util/config.sub        Updated to the latest upstream version

2016/10/20 David Morán https://github.com/david-moran
 * src/browser.c          Added PATCH conditionals
 * src/url.h              Added PATCH to enum
 * src/url.c              Added PATCH parsing
 * src/version.c          Version increment: 4.0.3rc2

2016/10/20 Jeffrey Fulmer http://www.joedog.org/support/
 * src/setup.h            Added my.print, my.nofollow, my.noparser
 * src/main.c             Added --print, --no-follow, --no-parser
 * src/browser.c          Added support for new cmd line options
 * src/http.c             Added support for new cmd line options

2016/09/10 Jeffrey Fulmer http://www.joedog.org/support/
 * Based on a bug report from Lennart Braun
 * src/response.c         Added integrity checks in success|failure
 * src/http.c             Added handling for non-HTTP servers
 * src/browser.c          Added handling for non-HTTP servers
 * src/version.c          Version increment: 4.0.3rc1

2016/08/29 Jeffrey Fulmer http://www.joedog.org/support/
2016/08/29 Aaron Peschel  https://github.com/apeschel
2016/08/29 Wuvist         https://github.com/Wuvist
2016/08/29 Christian Blades <cblades@pindropsecurity.com>
 * src/parser.c           Added a check to ensure aid is not NULL
 * utils/bombardment.in   Switched to BSD date format 
 * doc/siegerc.in         Fixed typo in the config file template
 * src/browser.c          Enable payload for PUT request

2016/05/07 Jeffrey Fulmer <http://www.joedog.org/support/>
 * SIEGE RELEASE          RELEASE_4-0-2-MAY-20-2016
 * src/version.c          Version increment: 4.0.2

2016/05/20 Danylo Hlynskyi <https://github.com/danbst>
 * doc/siege.pod          Documentation improvements

2016/05/07 Jeffrey Fulmer <http://www.joedog.org/support/>
 * SIEGE RELEASE          RELEASE_4-0-2-beta2-MAY-07-2016
 * lib/joedog             Moved to src
 * src/perl.c             Moved from lib/joedog
 * src/perl.h             Moved from lib/joedog
 * src/memory.c           Moved from lib/joedog
 * src/memory.h           Moved from lib/joedog
 * src/notify.c           Moved from lib/joedog
 * src/notify.h           Moved from lib/joedog
 * src/*.c *.h            Decoupled lib/joedog.la
 * src/version.c          Version increment: 4.0.2-beta2

2016/04/23 Valery Levental <vlevental@paloaltonetDELETEworks.com>
 * src/browser.c          Fixed issue with Content-length: 0
 * src/http.c             Improved handling of chunked transfers
 * src/parser.c           Improved handling of data URI scheme
 * src/sock.c             Code optimization

2016/03/26 Warren Young <https://github.com/wyoung>
 * src/cookie.c           Fixed delimiter handling in cookie expiration
 			  Suppressed cookie time zone offsetting for GMT/UTC
 * src/cookies.c          Convert now to GMT for expires check

2016/03/26 Jeffrey Fulmer <http://www.joedog.org/support/>
 * src/response.c         Transfer-ecoding parse (stupid akamai)
 * src/version.c          Version increment: 4.0.1

2016/03/15 Niklas Hambüchen<https://github.com/nh2>
 * src/http.c             Improved efficiency for chunked reads

2016/02/19 Jeffrey Fulmer <http://www.joedog.org/support/>
 * SIEGE RELEASE          RELEASE_4-0-0-Mar-10-2016
 * doc/siegerc.in         Set parser to true by default
 * src/version.c          Version increment: 4.0.0

2016/03/09 vfilanovsky <notifications@github.com>
 * SIEGE BETA             RELEASE_4-0-0_beta9-Mar-09-2016
 * src/http.c             Expanded request size
 * src/version.c          Version increment: 4.0.0-beta9
 * src/Makefile.am        Removed KNOWNBUGS README.https from distro

2016/02/26 Trent Oswald <trentoswald@DELETEtherebelrobot.com>
 * src/load.c             Added: .csv .ico .md .svg .yml

2016/02/19 Jeffrey Fulmer <http://www.joedog.org/support/>
 * SIEGE BETA             RELEASE_4-0-0_beta8-Feb-19-2016
 * INSTALL                Updated for 4.0.0
 * KNOWNBUGS              Removed - tracked elsewhere
 * NEWS                   Removed - tracked elsewhere
 * README.https           Removed - redundant
 * src/version.c          Version increment: 4.0.0-beta8

2016/02/18 Jeffrey Fulmer <http://www.joedog.org/support/>
 * SIEGE BETA             RELEASE_4-0-0_beta7-Feb-18-2016
 * src/auth.c             Wrapped __mkhash with HAVE_SSL
 * src/http.c             Wrapped libz functions with HAVE_ZLIB
 * src/ssl.c              Wrapped ssl functions with HAVE_SSL
 * src/version.c          Version increment: 4.0.0-beta7

2016/02/09 Jeffrey Fulmer <http://www.joedog.org/support/>
 * SIEGE BETA             RELEASE_4-0-0_beta6_FEB_10_2016
 * doc/siege.pod          Added to the distribution
 * doc/siege.config.pod   Added to the distribution
 * doc/bombardment.pod    Added to the distribution
 * doc/siege2csv.pod      Added to the distribution
 * src/init.c             Formatting changes
 * src/main.c             Completely silenced the program with -q

2016/02/04 Jeffrey Fulmer <http://www.joedog.org/support/>
 * SIEGE BETA             RELEASE_4-0-0_beta5_FEB_04_2016
 * doc/siegerc.in         Added instructions for color = on | off
 * lib/notify.c           Added options (-1) to turn off color
 * src/cfg.c              Improved the urls.txt comment parser
 * src/ftp.c              Fixed a bug with unique file names
 * src/init.c             Added my.color to conf file parser
 * src/url.c              On POST/PUT changed path/file assignment
 * src/init.c             Added my.color on|off to my.config

2016/01/31 Jeffrey Fulmer <http://www.joedog.org/support/>
 * include/config.h.in    Added HAVE_LOCALTIME_R
 * src/date.c             Changed Daniels tm_year; added date_expired
 * src/cache.c            Added is_cached; logical enhancements
 * src/cache.h            Added is_cached
 * src/cient.c            Added check for cached items
 * src/http.c             Parse expires and last-modified
 * src/parser.c           Minor refinements

2016/01/28 Jeffrey Fulmer <http://www.joedog.org/support/>
 * src/Makefile.am        Added cache.c and cache.h
 * src/cache.c            Added to the distribution
 * src/cache.h            Added to the distribution
 * src/date.c             Overhauled as an object
 * src/date.c             Updated prototypes
 * src/eval.c             Updated for new hash API
 * src/hash.c             Added hash_remove, hash_remover
 * src/hash.h             Changed hash_lookup to hash_contains
 * src/http.c             Implemented cache for entity tags
 * src/http.h             Removed old headers struct
 * src/sock.h             Added cache to the CONN struct
 * src/url.c              Removed cache indicators
 * src/url.h              Removed prototypes associated with cache
 * src/version.c          Copyright update; version increment: 4.0.0-beta5

2016/01/23 Jeffrey Fulmer <http://www.joedog.org/support/>
 * SIEGE BETA             RELEASE_4-0-0_beta4_JAN_23_2016
 * src/Makefile.am        Added response.c response.h
 * src/response.c         Response headers, added to project
 * src/response.h         Added to the project
 * src/http.c             Parse headers with response
 * src/sock.h             Moved TE enum into response.h
 * src/client.c           Changed calls to response
 * src/hash.c             Changed value type to void* 
 * src/hash.h             Changed value type to void*
 * src/cookies.c          Changed to use new hash object
 * src/eval.c             Changed to use new hash object
 * src/init.c             Changed to use new hash object
 * src/main.c             Changed to use new hash object
 * src/parser.c           Various logical improvements
 * include/boolean.h      Minor cleanup
 * include/joedog.h       Added ISALPHA
 * src/version.c          Version increment: 4.0.0-beta4

2016/01/16 Jeffrey Fulmer <http://www.joedog.org/support/>
 * SIEGE BETA             RELEASE_4-0-0-beta3_JAN_16_2016
 * ChangeLog              Pruned to 4.x.x
 * doc/siegerc.in         Setting logging to false by default
 * src/http.c             Completely overhauled http_read
 * src/parser.c           Revised the page check
 * src/url.c              Added default http scheme 
 * src/util.c             Added stristr (portable strcasestr)
 * src/client.c           Refined condition for requesting elements
 * src/version.c          Version increment: 4.0.0-beta3

2016/01/01 Jeffrey Fulmer <http://www.joedog.org/support/>
 * SIEGE BETA             RELEASE_4-0-0-beta2_JAN_01_2016
 * src/client.c           Added logic for HTML redirect
 * src/parser.c           De-objectified the parser
 * src/url.c              Added url_set_scheme
 * src/url.h              Added url_set_scheme
 * src/setup.h            Added BOOLEAN parser
 * src/init.c             Parses 'parser' from siegerc
 * src/util.c             Added BOOLEAN endswith
 * src/util.h             Added BOOLEAN endswith
 * doc/siegerc.in         Added parser = true|false
 * src/version.c          Version increment: 4.0.0-beta2

2015/12/25 Jeffrey Fulmer <http://www.joedog.org/support/>
 * SIEGE BETA             RELEASE_4-0-0-beta1_DEC_25_2015
 * configure.ac           Added a test for zlib
 * src/page.c             Added to the distribution
 * src/page.h             Added to the distribution
 * src/parser.c           Added to the distribution
 * src/parser.h           Added to the distribution
 * src/client.c           Added calls to parser
 * src/http.c             Download content to page; deflate
 * src/main.c             Improved memory management
 * src/init.c             Revamped file reader to eliminiate leak
 * src/version.c          Version increment: 4.0.0-beta1

